import { SetupContext } from 'vue';
import { LayerStyleRangeThemeProps, LayerStyleRangeThemeEmits } from './types';
export declare const useLayerStyleRangeTheme: (props: LayerStyleRangeThemeProps, emit: SetupContext<LayerStyleRangeThemeEmits>['emit'], gradientColorSelectRef: any) => {
    renderer: import('@vue/reactivity').Ref<any, any>;
    renderMode: import('@vue/reactivity').Ref<any, any>;
    validFields: import('@vue/reactivity').ComputedRef<any>;
    classBreakInfoItems: import('@vue/reactivity').ComputedRef<any>;
    wrapperComponent: import('@vue/reactivity').ComputedRef<"div" | "mapgis-ui-setting-form">;
    isRangeTheme: import('@vue/reactivity').ComputedRef<(themeType: any) => boolean>;
    isPointGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    isLineGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    isPolygonGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    symbolColor2Rgba: (color: any) => any;
    handleFieldChange: (field: any) => Promise<void>;
    handleClassBreakCountChange: () => Promise<void>;
    handleColorsChange: (colors: any, isAuto: any) => void;
    handleColorAlphaChange: () => void;
    handleDefaultSymbolChange: ({ symbolJSON }: {
        symbolJSON: any;
    }) => void;
    handleClassBreakVisibleChange: (rangeValueItem: any, { target: { checked } }: {
        target: {
            checked: any;
        };
    }) => void;
    handleClassBreakSymbolChange: (rangeValueItem: any, { symbolJSON }: {
        symbolJSON: any;
    }) => void;
    handleBreakInfoItemsChange: (classBreakInfoItems: any) => void;
    activePanel: import('@vue/reactivity').Ref<string, string>;
    supportedFieldTypes: import('@vue/reactivity').Ref<string[], string[]>;
    classBreakCount: import('@vue/reactivity').Ref<number, number>;
    symbolGradientColor: import('@vue/reactivity').Ref<string, string>;
    symbolColorAlpha: import('@vue/reactivity').Ref<number, number>;
};
